%define majver %(echo %version | cut -d. -f1-2)

Name:          system-config-printer
Version:       1.5.13
Release:       1mamba
Summary:       Helper functions and classes for using CUPS
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://cyberelk.net/tim/software/system-config-printer/
Source:        https://github.com/OpenPrinting/system-config-printer.git/v%{version}/system-config-printer-%{version}.tar.bz2
#Source:        https://github.com/zdohnal/system-config-printer/releases/download/%{version}/system-config-printer-%{version}.tar.xz
Patch0:        system-config-printer-1.4.1-newprinter-smb_select_function-argsfix.patch
Patch1:        system-config-printer-1.4.3-scp-dbus-service-fix-dbus-signature-typo.patch
Patch2:        system-config-printer-1.5.7-python3-udev-add-printer.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcups-devel
BuildRequires: libglib-devel
BuildRequires: libudev-devel
BuildRequires: libusbx-devel
## AUTOBUILDREQ-END
BuildRequires: intltool
BuildRequires: xmlto
BuildRequires: desktop-file-utils
#BuildRequires: python-pynotify
Requires:      python >= %python_version
Provides:      python-cupshelper
Obsoletes:     python-cupshelper <= 1.5.12
Provides:      python-cupshelpers
Obsoletes:     python-cupshelpers <= 1.5.12
Requires:      desktop-file-utils
#Requires:      python-pynotify
#Requires:      python-smbc
Requires:      python-cups-py3
Requires:      python-requests-py3
Requires:      pygobject-py3
Requires:      python-dbus-py3
Requires:      pycairo-py3
Requires:      python-reload-py3
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Helper functions and classes for using CUPS. 
The purpose of the tool is to configure a CUPS server (often the local machine) using the CUPS API. The tool is written in Python, using pygtk for the graphical parts and with some Python bindings (pycups) for the CUPS API.

%prep
%setup -q -n system-config-printer-%{version}
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1

./bootstrap 

#sed -i "s|!/usr/bin/python3|!%{__python36}|" \
#   *.py */*.py udev/udev-add-printer

%build
%configure \
   --with-udev-rules \
   PYTHON=%{__python3}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall udevhelperdir=/lib/udev/

%find_lang system-config-printer

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f system-config-printer.lang
%defattr(-,root,root)
%{_sysconfdir}/cupshelpers/preferreddrivers.xml
%{_sysconfdir}/dbus-1/system.d/com.redhat.NewPrinterNotification.conf
%{_sysconfdir}/dbus-1/system.d/com.redhat.PrinterDriversInstaller.conf
%{_sysconfdir}/xdg/autostart/print-applet.desktop
%{_bindir}/install-printerdriver
%{_bindir}/system-config-printer
%{_bindir}/system-config-printer-applet
%{_bindir}/scp-dbus-service
%{_unitdir}/configure-printer@.service
/lib/udev/udev-add-printer
/lib/udev/udev-configure-printer
%{_udevrulesdir}/70-printers.rules
%{_datadir}/dbus-1/interfaces/org.fedoraproject.Config.Printing.xml
%{_datadir}/dbus-1/services/org.fedoraproject.Config.Printing.service
%{_datadir}/metainfo/system-config-printer.appdata.xml
%{_datadir}/applications/system-config-printer.desktop
%dir %{_datadir}/system-config-printer
%{_datadir}/system-config-printer/*
%{python3_sitelib}/cupshelpers/*
%{python3_sitelib}/cupshelpers-1.0-py*.egg-info
%{_mandir}/man1/system-config-printer.1*
%{_mandir}/man1/system-config-printer-applet.1*

%changelog
* Sat Jan 02 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.13-1mamba
- update to 1.5.13

* Sat Nov 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.12-1mamba
- update to 1.5.12

* Mon Aug 12 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.11-4mamba
- fix for python 3.6 also in udev-add-printer

* Sun May 12 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.11-3mamba
- fix shebangs for python36

* Fri Mar 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.11-2mamba
- rebuilt with python 3.6

* Wed Mar 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.11-1mamba
- update to 1.5.11

* Sun Jul 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.7-3mamba
- require python-dbus-py3 and py3cairo

* Mon Apr 04 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.7-2mamba
- upstream patch for udev-add-printer and python3
- updated requirements to -py3 versions

* Sat May 02 2015 Automatic Build System <autodist@mambasoft.it> 1.5.7-1mamba
- automatic version update by autodist

* Wed Mar 18 2015 Automatic Build System <autodist@mambasoft.it> 1.5.6-1mamba
- automatic version update by autodist

* Sat Feb 07 2015 Automatic Build System <autodist@mambasoft.it> 1.5.5-1mamba
- automatic version update by autodist

* Thu Nov 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.4-1mamba
- update to 1.5.4

* Sun Oct 26 2014 Automatic Build System <autodist@mambasoft.it> 1.5.3-1mamba
- automatic version update by autodist

* Fri Oct 24 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.6-1mamba
- update to 1.4.6

* Sat Jul 26 2014 Automatic Build System <autodist@mambasoft.it> 1.4.5-1mamba
- automatic update by autodist

* Sun Apr 27 2014 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Mon Nov 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.3-2mamba
- added patch to fix typo in scp

* Fri Nov 08 2013 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Tue Aug 27 2013 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic update by autodist

* Wed Aug 07 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.1-3mamba
- added a patch to fix number of arguments in internal function when adding a new printer

* Wed May 29 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.1-2mamba
- python 2.7 mass rebuild

* Sat May 11 2013 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Wed May 08 2013 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Mon Apr 01 2013 Automatic Build System <autodist@mambasoft.it> 1.3.13-1mamba
- automatic version update by autodist

* Mon Feb 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.12-2mamba
- rebuilt with systemd

* Fri Oct 12 2012 Automatic Build System <autodist@mambasoft.it> 1.3.12-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 1.3.11-1mamba
- automatic version update by autodist

* Fri Jun 15 2012 Automatic Build System <autodist@mambasoft.it> 1.3.9-1mamba
- automatic version update by autodist

* Sat Oct 08 2011 Automatic Build System <autodist@mambasoft.it> 1.3.7-1mamba
- automatic version update by autodist

* Tue Oct 04 2011 Automatic Build System <autodist@mambasoft.it> 1.3.6-1mamba
- automatic version update by autodist

* Sun Aug 21 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.5-1mamba
- update to 1.3.5

* Tue May 03 2011 Automatic Build System <autodist@mambasoft.it> 1.2.8-1mamba
- automatic update by autodist

* Wed Feb 23 2011 Automatic Build System <autodist@mambasoft.it> 1.2.7-1mamba
- automatic update by autodist

* Wed Jan 19 2011 Automatic Build System <autodist@mambasoft.it> 1.2.6-1mamba
- automatic update by autodist

* Mon Dec 06 2010 Automatic Build System <autodist@mambasoft.it> 1.2.5-1mamba
- automatic update by autodist

* Sat Aug 21 2010 Davide Madrisan <davide.madrisan@gmail.com> 1.2.3-2mamba
- add a requirement for python-cups
- build requires udev-devel

* Wed Jun 30 2010 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic update by autodist

* Tue Jun 22 2010 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic update by autodist

* Mon Apr 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-1mamba
- update to 1.2.0

* Mon Jan 25 2010 Automatic Build System <autodist@mambasoft.it> 1.1.16-1mamba
- automatic update by autodist

* Thu Oct 15 2009 Automatic Build System <autodist@mambasoft.it> 1.1.13-1mamba
- automatic update by autodist

* Mon Aug 31 2009 Automatic Build System <autodist@mambasoft.it> 1.1.12-1mamba
- automatic update by autodist

* Tue Aug 11 2009 Automatic Build System <autodist@mambasoft.it> 1.1.11-1mamba
- automatic update by autodist

* Mon Jul 27 2009 Automatic Build System <autodist@mambasoft.it> 1.1.10-1mamba
- automatic update by autodist

* Thu Jul 02 2009 Automatic Build System <autodist@mambasoft.it> 1.1.8-1mamba
- automatic update by autodist

* Tue Jun 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.7-2mamba
- added requirement for python-smbc

* Tue Jun 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.7-1mamba
- package created by autospec
